0

I ran the database upgrade script and it showed me an error and didnt get finished..

since then I can't run the /civicrm/upgrade script and it always gives me the error:

CiviCRM_API3_Exception: DB Error: no such field in civicrm_api3() (line 45 of /usr/share/drupal7/modules/civicrm/api/api.php)

please help.. I do NOT have a backup from my old database! Is there any other way to fix this?

thxx

1

I'm sorry for the troubles you have had (and I guess in the future you will backup before trying an upgrade).

It's very complicated to try to determine what completed, what didn't, and how to move forward from your situation. I'd generally recommend engaging the services of CiviCRM shop that has developer experience at this point.

An approach I would recommend in this situation is to create a new CiviCRM 4.7 site, then import the data from the 4.6 database. But you there is no standard script for doing this; hence the need for a CiviCRM developer.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.